/* highlight the top nav as scrolling occurs */
$('body').scrollspy({ target: '#nav' });

/* smooth scrolling to target */
$(".scroll").click(function(event){
	event.preventDefault();
	//calculate destination place
	var dest=0;
	if($(this.hash).offset().top > $(document).height()-$(window).height()){
		dest=$(document).height()-$(window).height();
	}else{
		dest=$(this.hash).offset().top;
	}
	//go to destination
	$('html,body').animate({scrollTop:dest}, 1000,'swing');
});


/* Click event to scroll to top */
$('.nav-home, .scroll-top').click(function(){
	$('html, body').animate({scrollTop : 0},1000);
	return false;
});

/* smooth scrolling for scroll to top */
$(window).scroll(function(){
	if ($(this).scrollTop() > 200) {
		$('.scroll-top').fadeIn();
	} else {
		$('.scroll-top').fadeOut();
	}
});